﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace vb02Service
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IPlantenService" in both code and config file together.
    [ServiceContract]
    public interface IPlantenService
    {
        [OperationContract]
        List<PlantenType> GetPlanten();
    }

    [DataContract]
    public class PlantenType
    {
        [DataMember]
        private String art_code;

        public String Art_code
        {
            get { return art_code; }
        }
        [DataMember]
        public String Plantennaam { get; set; }
        [DataMember]
        public double Hoogte { get; set; }
        [DataMember]
        public String Kleur { get; set; }
        public PlantenType(String art_code)
        {
            this.art_code = art_code;
        }
    }
}
