﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace vb02Service
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "PlantenService" in both code and config file together.
    public class PlantenService : IPlantenService
    {
     

        public List<PlantenType> GetPlanten()
        {
            List<PlantenType> lijst = new List<PlantenType>();
            String connString = ConfigurationManager.ConnectionStrings["deschop"].ConnectionString;
            using(IDbConnection conn = new SqlConnection(connString)) {
                IDbCommand commando = conn.CreateCommand();
                commando.CommandText = "SELECT art_code, plantennaam, hoogte, kleur FROM planten";
                conn.Open();
                using(IDataReader reader = commando.ExecuteReader()) {
                    while(reader.Read()) {
                        String art_code = reader.GetString(0);
                        String plantennaam = reader.GetString(1);
                        double hoogte = reader.GetDouble(2);
                        String kleur = null;
                        if (!reader.IsDBNull(3))
                        {
                            kleur = reader.GetString(3);
                        }
                        PlantenType p = new PlantenType(art_code)
                        {

                            Plantennaam = plantennaam,
                            Hoogte = hoogte,
                            Kleur = kleur
                        };
                        lijst.Add(p);
                    }
                }
            }
            return lijst;
        }
    }
}
